Bug 830996 - plugin container's OperationManager needs to support concurrent operations for different resources
plugin container's OperationManager needs to support concurrent operations fo...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugin Container (Show other bugs)
4.4
Unspecified Unspecified
high Severity medium (vote)
: ---
: RHQ 4.5.0
Assigned To: John Mazzitelli
Mike Foley
:
: 718091 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-11 17:35 EDT by John Mazzitelli
Modified: 2013-09-01 06:12 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-01 06:12:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
This one just calls rhq-cli.bat (174 bytes, application/octet-stream)
2012-06-11 17:40 EDT, Jay Shaughnessy
no flags Details
This is the CLI script that runs (684 bytes, application/javascript)
2012-06-11 17:41 EDT, Jay Shaughnessy
no flags Details

  None (edit)
Description John Mazzitelli 2012-06-11 17:35:07 EDT
The plugin container can support running operations on different resources concurrently. If you ask to invoke 2 or more operations on the same resource, those execute serially, but if you invoke an operation on resource 1 and another operation on resource 2, they can theoretically be allowed to run concurrently.

The PC doesn't do that.

Need to fix the OperationManager and write a unit test to show that this works.
Comment 1 John Mazzitelli 2012-06-11 17:38:28 EDT
git master commit: 04b75f0

the operation manager thread pool configuration needed to be adjusted. commited new unit test ParallelOperationsTest to test this.
Comment 2 Jay Shaughnessy 2012-06-11 17:39:52 EDT
I tested this using the attached scripts.  It hung before the fix and works after the fix.
Comment 3 Jay Shaughnessy 2012-06-11 17:40:59 EDT
Created attachment 591030 [details]
This one just calls rhq-cli.bat
Comment 4 Jay Shaughnessy 2012-06-11 17:41:54 EDT
Created attachment 591031 [details]
This is the CLI script that runs
Comment 5 Jay Shaughnessy 2012-06-11 17:44:15 EDT
Test Notes: Tte attached scripts would need to be updated for your environment.  Basically script-op.bat is the one which is the Script resource.  It invokes the CLI, which connects back to the server and executes an operation on RHQ Agent, via the second attachement - the CLI script.
Comment 6 Charles Crouch 2012-07-17 17:44:29 EDT
Non critical fix - retargeting at rhq4.5
Comment 7 Rui Alves 2012-07-19 05:33:17 EDT
*** Bug 718091 has been marked as a duplicate of this bug. ***
Comment 8 Heiko W. Rupp 2013-09-01 06:12:57 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.